View Issue Details

IDProjectCategoryView StatusLast Update
0001110SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.3.4 
Target Version3.4.0Fixed in Version3.4.0 
Summary0001110: Triggers not removed when sym_trigger source_ catalog, schema or table name changed
DescriptionIf the source_ table, catalog, or schema changes in sym_trigger from referencing one valid table to another valid table then the old triggers are not removed.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master cec2802b

2013-03-14 15:25:07

chenson

Details Diff
0001110: Triggers not removed when sym_trigger source_ catalog, schema or table name changed
0001110
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/GroupletService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/LoadFilterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ParameterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterServiceSqlMap.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractTriggerRouterServiceTest.java Diff File

Issue History

Date Modified Username Field Change
2013-03-14 15:23 chenson New Issue
2013-03-14 15:23 chenson Status new => assigned
2013-03-14 15:23 chenson Assigned To => chenson
2013-03-14 15:25 chenson Status assigned => resolved
2013-03-14 15:25 chenson Fixed in Version => 3.4.0
2013-03-14 15:25 chenson Resolution open => fixed
2013-04-21 12:22 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6951
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master cec2802b